package com.diss.omppapp.database;

import com.diss.omppapp.entities.UserEntity;
import com.diss.omppapp.repositories.UserEntityRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Optional;

@Component
public class HibernateDBImpl implements ICommonDB {

    @Autowired
    private UserEntityRepository userEntityRepository;

    @Override
    public UserEntity findByUsername(String s) {
        Optional<UserEntity> entity;
        try {
            entity = userEntityRepository.findByUsername(s);
        } catch (NullPointerException npe) {
            return getEmptyUserEntity();
        }

        return entity.orElseGet(this::getEmptyUserEntity);
    }

    private UserEntity getEmptyUserEntity() {
        return new UserEntity("","","",false);
    }
}
