package com.diss.omppapp.services;

import com.diss.omppapp.database.ICommonDB;
import com.diss.omppapp.entities.UserEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component
public class AuthService {

    @Autowired
    private ICommonDB iCommonDB;

    public AuthService() {
    }

    public Map<String,Boolean> authorise(String username, String password) {
        Map<String,Boolean> map = new HashMap<>();
        UserEntity entity = iCommonDB.findByUsername(username);
        if(entity.isEmpty() || !compare(password,entity.password)) {
            map.put("auth",false);
            map.put("lec",false);
            return map;
        }
        map.put("auth", true);
        map.put("lec", entity.isLecturer);
        return map;
    }

    private Boolean compare(String userHash, String dbHash) {
        BCryptPasswordEncoder encoder = new BCryptPasswordEncoder();
        return encoder.matches(userHash,dbHash);
    }
}
