import {Injectable} from '@angular/core';
import {HttpClient, HttpHeaders} from '@angular/common/http';
import {HttpErrorService} from '../ErrorComponents/http-error.service';
import {catchError, takeUntil, takeWhile} from 'rxjs/operators';

const httpOptions = {
  headers: new HttpHeaders({
    'Content-Type':  'application/json'
  })
};

@Injectable()
export class LoginService {

  constructor(private http: HttpClient, private errorService: HttpErrorService) {
  }

  public getLogin(username: String, password: String): any {
    return this.http.post('http://localhost:8080/login', {username: username, password: password}, httpOptions)
      .pipe(
        catchError(this.errorService.handleError)
      );
  }
}
